services:
  client-one:
    image: registry.gitlab.com/intevation/tuency/tuency/:${TUENCY_CLIENT_DOCKER_IMAGE_TAG}
    networks:
      - tuency-proxy-nw
      - tuency-service-nw
    volumes:
      - ./config/nginx/client-one.tuency.conf:/etc/nginx/conf.d/default.conf
      - ./resources/client-one:/var/www/resources
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=internal-nw"
      - "traefik.http.services.${COMPOSE_PROJECT_NAME}-one.loadbalancer.server.port=80"
      - "traefik.http.routers.${COMPOSE_PROJECT_NAME}-one.entrypoints=https"
      - "traefik.http.routers.${COMPOSE_PROJECT_NAME}-one.rule=Host(`$CLIENT_ONE_URL`)"
      - "traefik.http.routers.${COMPOSE_PROJECT_NAME}-one.tls=true"
      - "traefik.http.routers.${COMPOSE_PROJECT_NAME}-one.tls.certresolver=challenge-http"
      - "traefik.http.routers.${COMPOSE_PROJECT_NAME}-one.service=${COMPOSE_PROJECT_NAME}-one"
  
  ## Example config for futher clients.
  ## Make sure you replace "-x" with your new client name and apply
  ## the neccecary config and resource files.
  #
  #client-x:
  #  image: registry.gitlab.com/mhaidn/tuency/client:${TUENCY_CLIENT_DOCKER_IMAGE_TAG}
  #  networks:
  #    - tuency-proxy-nw
  #    - tuency-service-nw
  #  volumes:
  #    - ./config/nginx/client-x.tuency.conf:/etc/nginx/conf.d/default.conf
  #    - ./resources/client-x:/var/www/resources
  #  labels:
  #    - "traefik.enable=true"
  #    - "traefik.docker.network=internal-nw"
  #    - "traefik.http.services.${COMPOSE_PROJECT_NAME}-x.loadbalancer.server.port=80"
  #    - "traefik.http.routers.${COMPOSE_PROJECT_NAME}-x.entrypoints=https"
  #    - "traefik.http.routers.${COMPOSE_PROJECT_NAME}-x.rule=Host(`$CLIENT_X_URL`)"
  #    - "traefik.http.routers.${COMPOSE_PROJECT_NAME}-x.tls=true"
  #    - "traefik.http.routers.${COMPOSE_PROJECT_NAME}-x.tls.certresolver=challenge-http"
  #    - "traefik.http.routers.${COMPOSE_PROJECT_NAME}-x.service=${COMPOSE_PROJECT_NAME}-x"

networks:
  tuency-proxy-nw:
    external: true
  tuency-service-nw:
    external: true